Release job
curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/jobs/{id}/release \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"bidAmount": 123,
"boostBidAmount": 500,
"coverLetter": "<string>",
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release"
payload = {
"bidAmount": 123,
"boostBidAmount": 500,
"coverLetter": "<string>",
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bidAmount: 123,
boostBidAmount: 500,
coverLetter: '<string>',
answers: [{question: '<string>', answer: '<string>'}]
})
};
fetch('https://api.vollna.com/v1/auto-bidding/jobs/{id}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bidAmount' => 123,
'boostBidAmount' => 500,
'coverLetter' => '<string>',
'answers' => [
[
'question' => '<string>',
'answer' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release"
payload := strings.NewReader("{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/jobs/{id}/release")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/jobs/{id}/release")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "done",
"job": {
"id": 123,
"setup": {
"id": 123,
"name": "<string>"
},
"job": {
"projectId": 123,
"upworkJobId": "<string>",
"title": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"connectsPrice": 123
},
"status": "pending_qualification",
"skip": {
"reason": "<string>",
"initiator": "user"
},
"qualification": {
"decision": "<string>",
"reason": "<string>"
},
"bidAmount": 123,
"boostBidAmount": 123,
"connectsUsed": 123,
"boostUsed": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"processedAt": "2023-11-07T05:31:56Z",
"applicationUid": "<string>"
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}Auto Bidding
Release job
Sends a skipped job, or one waiting for review, to the bidder now, past the freshness check. The fields you send are saved first. Spends Connects
POST
/
auto-bidding
/
jobs
/
{id}
/
release
Release job
curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/jobs/{id}/release \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"bidAmount": 123,
"boostBidAmount": 500,
"coverLetter": "<string>",
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release"
payload = {
"bidAmount": 123,
"boostBidAmount": 500,
"coverLetter": "<string>",
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bidAmount: 123,
boostBidAmount: 500,
coverLetter: '<string>',
answers: [{question: '<string>', answer: '<string>'}]
})
};
fetch('https://api.vollna.com/v1/auto-bidding/jobs/{id}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bidAmount' => 123,
'boostBidAmount' => 500,
'coverLetter' => '<string>',
'answers' => [
[
'question' => '<string>',
'answer' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/jobs/{id}/release"
payload := strings.NewReader("{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/jobs/{id}/release")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/jobs/{id}/release")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bidAmount\": 123,\n \"boostBidAmount\": 500,\n \"coverLetter\": \"<string>\",\n \"answers\": [\n {\n \"question\": \"<string>\",\n \"answer\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "done",
"job": {
"id": 123,
"setup": {
"id": 123,
"name": "<string>"
},
"job": {
"projectId": 123,
"upworkJobId": "<string>",
"title": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"connectsPrice": 123
},
"status": "pending_qualification",
"skip": {
"reason": "<string>",
"initiator": "user"
},
"qualification": {
"decision": "<string>",
"reason": "<string>"
},
"bidAmount": 123,
"boostBidAmount": 123,
"connectsUsed": 123,
"boostUsed": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"processedAt": "2023-11-07T05:31:56Z",
"applicationUid": "<string>"
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}Authorizations
API token for authentication
Path Parameters
Job ID
Body
application/json
Values that replace what the template would write. A field left out keeps the job's value
Was this page helpful?